<?php
/**
 * Add/Edit Feed Page
 *
 * Allows users to add or edit RSS feeds
 */

include '../start.php';

Security::verifyUser();
page_head('Feed page');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // TODO: get feed, add if new, reject if existing but not owned by this user, update otherwise
    $feed = array();
} else {
    // TODO: Retrieve feed by ID if not new
    $feed = [ 'id' => $_GET['id'], 'url' => '' ];
}
?>
<h1>Add/Edit Feed</h1>
<form method=POST action=/feed hx-post=/feed>
    <input type=hidden name=id value="<?=$feed['id']?>">
    <label>
        Feed URL
        <input type=url name=url required autofocus value="<?=$feed['url']?>">
    </label>
</form>
<?php
page_foot();
